SSD1306Ascii

Classes | Macros | Functions
SSD1306Ascii.h File Reference

Base class for ssd1306 displays. More...

`#include "Arduino.h"`
`#include "SSD1306init.h"`
`#include "fonts/allFonts.h"`
Include dependency graph for SSD1306Ascii.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | SSD1306Ascii
| SSD1306 base class. More...

## Macros
#define | AVRI2C_FASTMODE 1
#define | INCLUDE_SCROLLING 1
#define | INITIAL_SCROLL_MODE SCROLL_MODE_OFF
#define | OPTIMIZE_I2C 1
#define | SCROLL_MODE_APP 2
#define | SCROLL_MODE_AUTO 1
#define | SCROLL_MODE_OFF 0
#define | SDD1306_ASCII_VERSION 1.2.0
#define | SSD1306_MODE_CMD 0
#define | SSD1306_MODE_RAM 1
#define | SSD1306_MODE_RAM_BUF 2

## Functions
void | oledReset (uint8_t rst)
| Reset the display controller. More...

## Detailed Description

Base class for ssd1306 displays.

## Macro Definition Documentation

## ◆ AVRI2C_FASTMODE

#define AVRI2C_FASTMODE 1

AvrI2c uses 400 kHz fast mode if AVRI2C_FASTMODE is nonzero else 100 kHz.

## ◆ INCLUDE_SCROLLING

#define INCLUDE_SCROLLING 1

Set Scrolling mode for newline.

If INCLUDE_SCROLLING is defined to be zero, newline will not scroll the display and code for scrolling will not be included. This option will save some code space and three bytes of RAM.

If INCLUDE_SCROLLING is nonzero, the scroll feature will included.

## ◆ INITIAL_SCROLL_MODE

#define INITIAL_SCROLL_MODE SCROLL_MODE_OFF

Initial scroll mode, SCROLL_MODE_OFF, SCROLL_MODE_AUTO, or SCROLL_MODE_APP.

## ◆ OPTIMIZE_I2C

#define OPTIMIZE_I2C 1

Use larger faster I2C code.

## ◆ SCROLL_MODE_APP

#define SCROLL_MODE_APP 2

Newline scrolls the RAM window. The app scrolls the display window.

## ◆ SCROLL_MODE_AUTO

#define SCROLL_MODE_AUTO 1

Newline will scroll both the display and RAM windows.

## ◆ SCROLL_MODE_OFF

#define SCROLL_MODE_OFF 0

Newline will not scroll the display or RAM window.

## ◆ SDD1306_ASCII_VERSION

#define SDD1306_ASCII_VERSION 1.2.0

SSD1306Ascii version

## ◆ SSD1306_MODE_CMD

#define SSD1306_MODE_CMD 0

Write to Command register.

## ◆ SSD1306_MODE_RAM

#define SSD1306_MODE_RAM 1

Write one byte to display RAM.

## ◆ SSD1306_MODE_RAM_BUF

#define SSD1306_MODE_RAM_BUF 2

Write to display RAM with possible buffering.

## Function Documentation

## ◆ oledReset()

void oledReset | ( | uint8_t | rst | ) |
| inline

Reset the display controller.

Parameters

  [in] | rst | Reset pin number.